# DOCX to EPUB

Convert Word documents to EPUB ebooks.

<p><a href="/documents/word/docx-to-epub" style="color:rgb(230,0,6);font-weight:600;font-size:0.875rem;text-decoration:none">Try Word to EPUB in the browser &rarr;</a></p>

Convert.FAST uses this same API — what you see in the browser is what you get in code.

## Quick reference

| | |
|---|---|
| **Job type** | `document.docx-to-epub` |
| **targetFormat** | `epub` |
| **Category** | documents |
| **Input formats** | `.docx` |
| **Output extension** | `.epub` |
| **Costing** | 1 credit per 5 MB |
| **Max file size** | 1 GB |

## Example

<!-- code-tabs:start default=curl -->
### cURL
```bash
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@document.docx" \
  -F "targetFormat=epub" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "document.epub"
# → Binary file (application/epub+zip, 2.5 MB)
```
<!-- code-tabs:end -->

## Options

This converter does not support additional options.

## Cost estimate

<!-- code-tabs:start default=curl -->
### cURL
```bash
curl -sS "https://api.tools.fast/convert/estimate/docx/epub?fileSizeMb=50"
```
<!-- code-tabs:end -->

## Related

- [DOCX to PDF](docx-to-pdf.md)
- [DOCX to PDFA](docx-to-pdfa.md)
- [DOCX to MD](docx-to-md.md)
